Skip to main content

Token

This endpoint is used to authenticate users and obtain API credentials in the form of clientID, apiKey, and apiSecret. These credentials are required to access other endpoints that require authentication.


Environment

Use the appropriate environment based on your needs:

EnvironmentDescription
productionFor live applications (real data)
sandboxFor testing and development purposes

Replace <environment> in the URL with:

  • api for production
  • api-sandbox for sandbox

URL

  • Production:
    https://api.satuplatform.com/api/v1/token

  • Sandbox:
    https://api-sandbox.satuplatform.com/api/v1/token


Parameters

ParameterTypeDescription
emailstringUser email address
passwordstringUser password

Request

Use the following JSON format to request a token:

Request Body

{
"email": "user@example.com",
"password": "yourpassword"
}

Response Body

{
"success": true,
"data": [
{
"clientID": "your_client_id",
"apiKey": "your_api_key",
"apiSecret": "your_api_secret"
}
]
}

Status Code

Status CodeDescription
200OK